#include <stdio.h>
#include <X11/Xos.h>		/* X stuff */
#include <X11/Xlib.h>		/* X stuff */
#include <X11/Xutil.h>		/* X stuff */

/*
 * ========================================================================
 * real.c stuff:
 * ========================================================================
 */
#define MAXDISPWIN   5

struct dispwintag {	/* bundle the X display and window */
        Display *display;
        Window window;
} dispwin[ MAXDISPWIN ];

/*
 * ========================================================================
 * xfb.c stuff:
 * ========================================================================
 */

#define FONT1      "7x14"
#define NUMGRAY   256
#define GRAYSHIFT  0    /* # to shift down to map 0-255 into 0-(numgray-1) */

typedef unsigned char byte;

void GetGreyscale(unsigned long *grays,int Depth);
void DitherOneD(byte *epic, int height, int bperlin,int pad);
void DitherTwoD(byte *epic, int height, int bperlin,int pad);
void ConvertToMonochrome(byte* epic,int height,int bperlin,int pad);
void InitX( int idispwin, char *name, int xpos, int ypos,int w,int h );
void DrawImage8( int idispwin, byte *p, int x, int y, int w, int h );
void DrawLine(int idispwin, int x,int  y,int x1,int y1,int c);
int ButtonPressed(int idispwin);
int WindowExposure(int idispwin);
void WriteText(int idispwin,char* text,int x, int y);
void DrawBlackBox(int idispwin, int x, int y, int w, int h);
